#include <quapplication.h>
#include "tiptiltgcs.h"

// cumbia
#include <cumbiapool.h>
#include <cuthreadfactoryimpl.h>
#include <qthreadseventbridgefactory.h>
// cumbia

#define VERSION "1.0"

int main(int argc, char *argv[])
{
    QuApplication qu_app( argc, argv );
    qu_app.setOrganizationName("Elettra");
    qu_app.setApplicationName("tiptiltgcs-gui");
    QString version(VERSION);
    qu_app.setApplicationVersion(version);
    qu_app.setProperty("author", "Claudio Scafuri");
    qu_app.setProperty("mail", "claudio.scafuri@elettra.eu");
    qu_app.setProperty("phone", "8009");
    qu_app.setProperty("office", "T2 ");
    qu_app.setProperty("hwReferent", "R. Gobessi, A. Bogani "); /* name of the referent that provides the device server */
    

    CumbiaPool *cu_p = new CumbiaPool();
    TipTiltGcs *w = new TipTiltGcs(cu_p, NULL);
    w->show();
    // exec application loop
    int ret = qu_app.exec();
    // delete resources and return
    delete w;

    for(std::string n : cu_p->names())
        if(cu_p->get(n))
            delete cu_p->get(n);

    return ret;
}
